# HG changeset patch
# User peterjc <p.j.a.cock@googlemail.com>
# Date 1286451944 -3600
# Branch stuff
# Node ID 8e8f1c8d8273badfd048cb9f8d74b45d494ec2fe
# Parent  7ffc52983c92d50cbe1c131d780ee5ff0d73192e
Removed redundant loading of name as handled by paramter base class

diff -r 7ffc52983c92 -r 8e8f1c8d8273 lib/galaxy/tools/parameters/basic.py
--- a/lib/galaxy/tools/parameters/basic.py	Thu Oct 07 12:18:08 2010 +0100
+++ b/lib/galaxy/tools/parameters/basic.py	Thu Oct 07 12:45:44 2010 +0100
@@ -164,7 +164,6 @@
     """
     def __init__( self, tool, elem ):
         ToolParameter.__init__( self, tool, elem )
-        self.name = elem.get( 'name' )
         self.size = elem.get( 'size' )
         self.value = elem.get( 'value' )
         self.area = string_as_bool( elem.get( 'area', False ) )
@@ -274,7 +273,6 @@
         ToolParameter.__init__( self, tool, elem )
         self.truevalue = elem.get( 'truevalue', 'true' )
         self.falsevalue = elem.get( 'falsevalue', 'false' )
-        self.name = elem.get( 'name' )
         self.checked = string_as_bool( elem.get( 'checked' ) )
     def get_html_field( self, trans=None, value=None, other_values={} ):
         checked = self.checked
@@ -311,7 +309,6 @@
         Example: C{<param name="bins" type="file" />}
         """
         ToolParameter.__init__( self, tool, elem )
-        self.name = elem.get( 'name' )
         self.ajax = string_as_bool( elem.get( 'ajax-upload' ) )
     def get_html_field( self, trans=None, value=None, other_values={}  ):
         return form_builder.FileField( self.name, ajax = self.ajax, value = value )
@@ -374,7 +371,6 @@
     """    
     def __init__( self, tool, elem ):
         ToolParameter.__init__( self, tool, elem )
-        self.name = elem.get( 'name' )
         self.value = elem.get( 'value' )
     def get_html_field( self, trans=None, value=None, other_values={} ):
         return form_builder.HiddenField( self.name, self.value )
@@ -394,7 +390,6 @@
     """
     def __init__( self, tool, elem ):
         ToolParameter.__init__( self, tool, elem )
-        self.name = elem.get( 'name' )
         self.value = elem.get( 'value', '' )
     def get_value( self, trans ):
         # url = trans.request.base + self.value
@@ -1396,7 +1391,6 @@
 #     """  
 #     def __init__( self, tool, elem ):
 #         ToolParameter.__init__( self, tool, elem )
-#         self.name = elem.get('name')
 #     def get_html( self, trans, value=None, other_values={} ):
 #         assert trans.history is not None, "HistoryIDParameter requires a history"
 #         self.html = form_builder.HiddenField( self.name, trans.history.id ).get_html()
